Package org.forgerock.http.oauth2
Class ClientSecretPostAuthenticationFilter
java.lang.Object
org.forgerock.http.oauth2.ClientSecretPostAuthenticationFilter
- All Implemented Interfaces:
Filter
A
Filter implementation to add the credentials to request body for authenticating as per
the OAuth 2.0 Authorization
Framework specification.-
Constructor Summary
ConstructorsConstructorDescriptionClientSecretPostAuthenticationFilter(String clientId, SecretReference<GenericSecret> secretReference) Deprecated, for removal: This API element is subject to removal in a future version.ClientSecretPostAuthenticationFilter(CredentialPair<GenericSecret> credentials) Creates a filter that will add the client credentials to the request body. -
Method Summary
-
Constructor Details
-
ClientSecretPostAuthenticationFilter
@Deprecated(since="26.6.0", forRemoval=true) public ClientSecretPostAuthenticationFilter(String clientId, SecretReference<GenericSecret> secretReference) Deprecated, for removal: This API element is subject to removal in a future version.UseClientSecretPostAuthenticationFilter(CredentialPair)instead.Creates an instance of this class.- Parameters:
clientId- The client id to use for the credentials.secretReference- Reference to the client secret to use for the credentials.
-
ClientSecretPostAuthenticationFilter
Creates a filter that will add the client credentials to the request body.- Parameters:
credentials- The client credentials.
-
-
Method Details
-
filter
public Promise<Response,NeverThrowsException> filter(Context context, Request request, Handler next) Description copied from interface:FilterFilters the request and/or response of an exchange. To pass the request to the next filter or handler in the chain, the filter callsnext.handle(context, request).This method may elect not to pass the request to the next filter or handler, and instead handle the request itself. It can achieve this by merely avoiding a call to
next.handle(context, request)and creating its own response object. The filter is also at liberty to replace a response with another of its own by intercepting the response returned by the next handler.
-
ClientSecretPostAuthenticationFilter(CredentialPair)instead.